• Resolved fossilwood

    (@fossilwood)


    Hi,

    Searched, but couldn’t find this already covered.

    Is this plugin SCA Ready ? Received an email from Stripe:

    Starting 14 September, new industry-wide regulation will introduce Strong Customer Authentication (SCA) requirements on many payments in Europe. Payments that don’t use two-factor authentication may be declined by your customers’ banks.

    Our information shows you’re currently using WooCommerce and other plugins to accept payments with Stripe. WooCommerce has released an update to be ready for SCA. To avoid an increase in declined payments, you’ll need to update to the latest version of WooCommerce before 14 September.

    • This topic was modified 2 months, 2 weeks ago by  fossilwood.

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.